import { useSetPageTitle } from '@/utils'
import CenteredSpinner from '@inject/shared/components/CenteredSpinner'
import { lazy } from 'react'

const Voyager = lazy(() => import('@/logic/Voyager'))

export const Pending = () => <CenteredSpinner />

export const GraphiQL = () => {
  useSetPageTitle('Voyager')

  return <Voyager />
}

export default GraphiQL
